setSuppressedCell
Suppress a single cell or a straight line of cells between two points. Suppressed cells cannot burn. Omit `x2`/`y2` to suppress only the cell at (`x1`,`y1`).
Query Parameters
Prop
Type
import requestsbase_url: str = "https://firesim.cs.gsu.edu/api/setSuppressedCell/"params: dict[str, int | str] = { "userToken": "abc123xyz", "x1": 5, "y1": 5, "x2": 5, # optional "y2": 10, # optional}response = requests.post(base_url, params=params)print(response.text)"Updated Settings: Suppressed Cell"""Response Body
text/plain
text/plain
loadWindFlow
Upload a wind-flow schedule file for dynamically changing wind conditions. **File format** (matches [SIMS sample weather_artificial.txt](https://sims.cs.gsu.edu/sims/research/DEVSFIREAPI/weather_artificial.txt)): ```text ncols 5 nrows 13 Hour Min Temp wspd Dir 0 0 0 5.6 67 ... ``` - Line 1: `ncols N` — number of columns - Line 2: `nrows N` — number of data rows - Line 3: column headers (space-separated) - Line 4+: space-separated rows: hour, minute, temperature, windSpeed, windDirection Send as `text/plain` body with a `fileName` header.
getPerimeterCells
Returns the coordinates of all cells forming the fire's perimeter.